lightbooks-php:
  pkg.installed:
    - name: php
lightbooks-php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini

lightbooks-mysql-client:
  pkg.installed:
    - name: mariadb-clients

/etc/nginx/conf.d/lightbooks.conf:
  file.managed:
    - source: salt://roles/maintain/lightbooks/nginx.conf
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
/etc/nginx/conf.d/lightbooks-dev.conf:
  file.managed:
    - source: salt://roles/maintain/lightbooks/nginx-dev.conf
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/lightbooks/php.ini
    - user: root
    - group: root
    - mode: 644
